CourseLit logoCourseLit Docs
Api reference

Mark a product customer lesson complete

Marks a lesson complete for the target product customer using existing CourseLit learner runtime behavior. Quiz lessons still require a passing evaluation first.

POST
/api/products/{productId}/customers/{userId}/lessons/{lessonId}/completion

Marks a lesson complete for the target product customer using existing CourseLit learner runtime behavior. Quiz lessons still require a passing evaluation first.

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string
userId*string
lessonId*string

Response Body

application/json

application/json

application/json

curl -X POST "https://school.courselit.app/api/products/string/customers/string/lessons/string/completion"
{
  "completed": true
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}